#ifndef BLOCK_H_INCLUDED
#define BLOCK_H_INCLUDED

#include <iostream>

#include <SDL2/SDL.h>

#include "TetrisWindow.h"

class TetrisWindow;

extern SDL_Renderer* sdlRenderer;

/**
 * @class Block
 * @author zsmb
 * @brief Four of these blocks make up a tetris piece
 */
class Block {
    int x;                      //!< x coordinate
    int y;                      //!< y coordinate
    const Uint32 colour;        //!< Colour stored in hexadecimal 0xRRGGBBAA format
    const TetrisWindow* window; //!< The tetris window that the block exists in
public:
    Block(int x, int y, Uint32 colour, const TetrisWindow* containing_window);

    void draw() const;
    
    int get_x() const;
    int get_y() const;
    
    void set(int x, int y);
    
    bool movable(short direction) const;
    bool is_at(int x, int y) const;
    bool move(short direction);
};

#endif // BLOCK_H_INCLUDED
