#ifndef HIGHSCORES_H_INCLUDED
#define HIGHSCORES_H_INCLUDED

#include <algorithm>
#include <fstream>

#include <SDL2/SDL.h>
#include "SDL2_gfxPrimitives.h"

#include "Menu.h"
#include "text.h"

extern SDL_Renderer* sdlRenderer;
extern SDL_Event ev;

extern const int WIDTH;
extern const int HEIGHT;

/**
 * @class HighScores
 * @author zsmb
 * @brief A class for keeping and displaying scores as a menu screen
 */
class HighScores {
    const static unsigned max_scores = 8; //!< Maximum number of scores to store
    const unsigned x; //!< x coordinate
    const unsigned y; //!< y coordinate
    const unsigned w; //!< Width
    const unsigned h; //!< Height
    
    std::vector<unsigned> scores; //!< The stored scores
    
public:
    HighScores(unsigned x, unsigned y, unsigned w);
    ~HighScores();
    void add(unsigned new_score);
    void sort();
    void draw() const;
    void loop();
};

#endif // HIGHSCORES_H_INCLUDED
