#ifndef MENU_H_INCLUDED
#define MENU_H_INCLUDED

#include <vector>

#include "Button.h"

/**
 * @class Menu
 * @author zsmb
 * @brief A Menu class that contains and displays Buttons, as well
 *        as provides ways to activate them
 */
class Menu {
    const unsigned x;               //!< x position
    const unsigned y;               //!< y position
    const unsigned width;           //!< Width of the contained Buttons
    std::vector<Button*> buttons;   //!< The contained Buttons
    
    unsigned current_y; //!< y position of the last added Button
    
public:
    Menu(unsigned x, unsigned y, unsigned width);
    ~Menu();
    
    void add_button(unsigned key, std::string text, std::string key_label);
    
    void draw() const;
    int click(unsigned mouse_x, unsigned mouse_y) const;
    int press(unsigned key) const;
};

#endif // MENU_H_INCLUDED
