#ifndef MUSICPLAYER_H_INCLUDED
#define MUSICPLAYER_H_INCLUDED

#include <iostream>
#include <string>

#include <SDL2/SDL.h>
#include <SDL2/SDL_mixer.h>

/**
 * @class MusicPlayer
 * @author zsmb
 * @brief A simple, general purpose music player using SDL_Mixer
 * @details Designed to be a very easy to use and reusable,
 *          only has basic functionality
 */
class MusicPlayer {
    std::string filename;   //!< Name of the sound file the player uses
    Mix_Music* music;       //!< Pointer for SDL_Mixer to use
public:
    MusicPlayer(std::string filename);
    ~MusicPlayer();
    
    void play(int loops = -1);
    void pause();
    void stop();
    
    void volume_up();
    void volume_down();
    
    void volume_set(unsigned volume);
    unsigned volume_get() const;
    
    std::string get_filename() const;
};

#endif // MUSICPLAYER_H_INCLUDED
