#ifndef TEXTDISPLAY_H_INCLUDED
#define TEXTDISPLAY_H_INCLUDED

#include <iostream>
#include <fstream>

#include <SDL2/SDL.h>
#include <SDL2/SDL_ttf.h>

#include "Menu.h"
#include "text.h"

extern SDL_Renderer* sdlRenderer;
extern SDL_Event ev;

extern const int WIDTH;

/**
 * @class TextDisplay
 * @author zsmb
 * @brief A menu screen that displays the contents of a text file
 * @details Uses the Menu class to display a Back button under the contents
 */
class TextDisplay {
    const unsigned y;       //!< Distance from top of the screen, in pixels
    std::string filename;   //!< Name of the text file to display
public:
    TextDisplay(unsigned y, std::string filename);
    
    void display() const;
    void loop();
};

#endif // TEXTDISPLAY_H_INCLUDED
